Package twisted :: Package protocols :: Package gps :: Module nmea :: Class NMEAReceiver

[show private | hide private]
[frames | no frames]

## Class NMEAReceiver

    BaseProtocol --+
                   |
            Protocol --+
                       |
            LineReceiver --+
                           |
                          NMEAReceiver

This parses most common NMEA-0183 messages, presumably from a serial GPS device at 4800 bps

Method Summary
| ``connectionFailed`(self)` (Deprecated) (inherited from `Protocol`)
| ``connectionLost`(self, reason)` Called when the connection is shut down. (inherited from `Protocol`)
| ``dataReceived`(self, data)` Protocol.dataReceived. (inherited from `LineReceiver`)
| `decode_activesatellites(self, mode1, mode2, *args)`
| `decode_fix(self, utc, latitude, ns, longitude, ew, posfix, satellites, hdop, altitude, altitude_units, geoid_separation, geoid_separation_units, dgps_age, dgps_station_id)`
| `decode_position(self, latitude, ns, longitude, ew, utc, status)`
| `decode_positiontime(self, utc, status, latitude, ns, longitude, ew, speed, course, utcdate, magvar, magdir)`
| ``lineLengthExceeded`(self, line)` Called when the maximum line length has been reached. (inherited from `LineReceiver`)
| ``lineReceived`(self, line)` Override this for when each line is received.
| ``rawDataReceived`(self, data)` Override this for when raw data is received. (inherited from `LineReceiver`)
| ``sendLine`(self, line)` Sends a line to the other end of the connection. (inherited from `LineReceiver`)
| ``setLineMode`(self, extra)` Sets the line-mode of this receiver. (inherited from `LineReceiver`)
| ``setRawMode`(self)` Sets the raw mode of this receiver. (inherited from `LineReceiver`)

Class Variable Summary
`int` | `convert_dates_before_y2k`
`str` | `delimiter`
`dict` | `dispatch`
`int` | `ignore_checksum_mismatch`
`int` | `ignore_invalid_sentence`
`int` | `ignore_unknown_sentencetypes`

Method Details

### lineReceived(self, line)

Override this for when each line is received.

  Overrides:
    `twisted.protocols.basic.LineReceiver.lineReceived` (inherited documentation)

Class Variable Details

### convert_dates_before_y2k

  Type:
    `int`
  Value:

        1

### delimiter

  Type:
    `str`
  Value:

        '''\r
        '''

### dispatch

  Type:
    `dict`
  Value:

        {'GPALM': 'almanac',
         'GPGGA': 'fix',
         'GPGLL': 'position',
         'GPGRS': 'range',
         'GPGSA': 'activesatellites',
         'GPGST': 'noise',
         'GPGSV': 'viewsatellites',
         'GPMSS': 'beacon',
        ...

### ignore_checksum_mismatch

  Type:
    `int`
  Value:

        0

### ignore_invalid_sentence

  Type:
    `int`
  Value:

        1

### ignore_unknown_sentencetypes

  Type:
    `int`
  Value:

        0

Generated by Epydoc 1.1 on Thu May 8 13:16:37 2003 | http://epydoc.sf.net